Subject: Re: [PATCH 02/03] net/bridge: add support for EtherIP devices

From: Stephen Hemminger <[email-masked]>
Date: Mon, 25 Sep 2006 07:40:09 -0700

On Mon, 25 Sep 2006 10:24:45 +0200
Joerg Roedel <[email-masked]> wrote:

> On Sat, Sep 23, 2006 at 09:01:12PM -0700, Stephen Hemminger wrote:
> 
> > If the device looks like a duck (Ethernet), then why does it need
> > a separate ARP type.  There are other tools that might work without
> > modification if it just fully pretended to be an ether device.
> 
> This solves the problem of getting a list of all EtherIP devices. If
> they use ARPHRD_ETHER and use an ioctl in the SIOCDEVPRIVATE space is
> not a save way (not even if the ioctl uses ethip0, this device could be
> owned by another driver if EtherIP is not present).
> On the other hand, a new ARP type opens a lot of new problems. A lot of
> userspace tools and libraries must be changed. So this solutions is not
> perfect.
> 
> Cheers,
> Joerg

To get a list of all EtherIP devices, just maintain a linked list
in the private device information. Use list macros, it isn't hard.